%{

#include <string.h>	/* for strcmp, strdup & friends */
#include <stdio.h>	/* for strcmp, strdup & friends */
#include <stdlib.h>	/* for atoi() */

#include "parser.h"	/* (TK_) symbols from parser.y */

int line_number;

%}

%%
[ \t\r\n]	        break;

"if"                    return TK_IF;
"then"                  return TK_THEN;
"else"                  return TK_ELSE;
"inst"                  return TK_INST;

[a-z]+                  { 
                          yylval.string = yytext; 
                          return TK_ID; 
                        }

.			{
			  fprintf(stderr, "Illegal character with code %d on line #%d\n", *yytext, line_number);
			  exit(1);
			}

